/*
 * Copyright 2024 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(divide_random_seq.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(25b42cd8d6e81982d7e682f7caa0e07d)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/divide_random_seq.h>
// pydoc.h is automatically generated in the build directory
#include <divide_random_seq_pydoc.h>

void bind_divide_random_seq(py::module& m)
{

    using divide_random_seq = ::gr::channel_monitoring::divide_random_seq;


    py::class_<divide_random_seq,
               gr::tagged_stream_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<divide_random_seq>>(
        m, "divide_random_seq", D(divide_random_seq))

        .def(py::init(&divide_random_seq::make),
             py::arg("len_tag_key"),
             py::arg("num_tag_key"),
             D(divide_random_seq, make))


        ;
}
